function plotstabdom
% PLOTSTABDOM
% plots the boundary of the stability domain
% of the given method
%
% Input:
% none
%
% Output:
% none

% define stability function
S = @(z) 1 + (1 + exp(z)) .* z/2;

% create grid
[X, Y] = meshgrid(linspace(-5, 5, 100));

% evaluate stability function on grid
Z = abs(S(X + 1i*Y));

% plot stability domain
contour(X, Y, Z, [1 1]);

% save plot
print -depsc stabdom.eps