function u = sped(g,u0,T,N)
% function sped (Strang Splitting)
% g : handle to right hand side function
% u0: initial value
% T : final time
% N : number of timesteps
% return value: values for u-components

h = T/N;

u = zeros(length(u0),N+1);
u(:,1) = u0;
v = u0 + 0.5*h*g(u(:,1));

for k=1:N-1
  u(:,k+1) = u(:,k) + h*g(v);
  v = v + h*g(u(:,k+1));
end

u(:,N+1) = u(:,N) + h*g(v);





  