% MATLAB script: circular movement with sped

% right hand side
g = @(y) [-y(2);y(1)];

% initial value
y0 = [1;0];

% Final time
T = 60;

% Number of timesteps
N = 200;

y = sped(g,y0,T,N);

% Plot trajectory

figure('name','spedcirc');
plot(y(1,:),y(2,:),'r.'); hold on;
plot(cos(0:0.001:2*pi),sin(0:0.001:2*pi),'g-');
plot([-1.1 1.1],[0 0],'k-');
plot([0 0],[-1.1 1.1],'k-');
xlabel('{\bf x}','fontsize',14);
ylabel('{\bf y}','fontsize',14);
title(sprintf('sped: T = %f, N = %d',T,N));
axis([-1.1 1.1 -1.1 1.1]);

print -depsc2 'spedcirc.eps';

figure('name','length deviation');
plot((0:T/N:T),...
     (y(1,:).^2+y(2,:).^2)-1,'r+'); hold on;
xlabel('{\bf t}','fontsize',14);
ylabel('{\bf |u_k|^2-1}','fontsize',14);
title(sprintf('sped: T = %f, N = %d',T,N));

print -depsc2 'spedcirclen.eps';