function strangautplot
% plot results from strangaut

% initialization
t0 = 0;
T = 10;
h = 0.01;
y0 = [1; 0];

% compute numerical solution
[t, y] = strangaut(y0, t0, T, h);

% plot numerical solution
figure
plot3(y(1, :), y(2, :), t, 'b-')
xlabel('y_1')
ylabel('y_2')
zlabel('t', 'Rotation', 0)
title('numerical solution of the autonomized IVP via the strang splitting method')
